<template>
  <div></div>
</template>

<script>
import { tileLayer } from 'leaflet'
import { findParentComponentByName } from '@/core/util'

export default {
  name: 'leafletwmslayer',

  props: {
    url: {
      type: String,
      required: true,
    },
  },

  computed: {
    leafletMap: {
      get() {
        return findParentComponentByName(this.$parent, 'leafletmap')
      }
    },

    leafletPane: {
      get() {
        return findParentComponentByName(this.$parent, 'leafletpane')
      }
    },
  },

  methods: {
    create() {
      this.layerObject = tileLayer(this.url, this.getOptions()).addTo(this.leafletMap.mapObject)
      return this
    },

    getOptions() {
      return {
        pane: this.leafletPane.name
      }
    },
  },

  mounted() {
    this.create()
  },
}
</script>

